package com.rjconsultores.ventaboletos.relatorios.utilitarios;

import java.math.BigDecimal;

public class RelatorioVendasPacotesResumidoBean {

	private Long pacoteId;
	private String nompacote;
	private Long qtdePacotes;
	private BigDecimal totalBoletos;
	private BigDecimal totalPacotes;

	public Long getPacoteId() {
		return pacoteId;
	}

	public void setPacoteId(Long pacoteId) {
		this.pacoteId = pacoteId;
	}

	public String getNompacote() {
		return nompacote;
	}

	public void setNompacote(String nompacote) {
		this.nompacote = nompacote;
	}

	public BigDecimal getTotalBoletos() {
		return totalBoletos;
	}

	public void setTotalBoletos(BigDecimal totalBoletos) {
		this.totalBoletos = totalBoletos;
	}

	public BigDecimal getTotalPacotes() {
		return totalPacotes;
	}

	public void setTotalPacotes(BigDecimal totalPacotes) {
		this.totalPacotes = totalPacotes;
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((pacoteId == null) ? 0 : pacoteId.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		RelatorioVendasPacotesResumidoBean other = (RelatorioVendasPacotesResumidoBean) obj;
		if (pacoteId == null) {
			if (other.pacoteId != null)
				return false;
		} else if (!pacoteId.equals(other.pacoteId))
			return false;
		return true;
	}

	public Long getQtdePacotes() {
		return qtdePacotes;
	}

	public void setQtdePacotes(Long qtdePacotes) {
		this.qtdePacotes = qtdePacotes;
	}

}
